Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava
Class ProverManager

    java.lang.Object
      escjava.ProverManager

public class ProverManager
extends java.lang.Object

Nested Class Summary
`static interface` | `ProverManager.Listener`

Field Summary
`private static boolean` | `isStarted`
`static ProverManager.Listener` | `listener`
`private static int` | `NOTSTARTED`
`private static int` | `PUSHED`
`static Sammy` | `sammy`
`private static FindContributors` | `savedScope`
`static Simplify` | `simplify` Our Simplify instance.
`private static int` | `STARTED`
`private static int` | `status`
`static boolean` | `useHarvey`
`static boolean` | `useSammy`
`static boolean` | `useSimplify`

Constructor Summary
`ProverManager()`

Method Summary
`static void` | `died()`
`static void` | `kill()`
`static void` | `pop()`
`static java.util.Enumeration` | `prove(Expr vc, FindContributors scope)`
`static Simplify` | `prover()`
`static void` | `push(Expr vc)`
`static void` | `push(FindContributors scope)`
`static void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    public static ProverManager.Listener listener

### NOTSTARTED

    private static final int NOTSTARTED

See Also:
  Constant Field Values

### STARTED

    private static final int STARTED

See Also:
  Constant Field Values

### PUSHED

    private static final int PUSHED

See Also:
  Constant Field Values

### status

    private static int status

### isStarted

    private static boolean isStarted

### savedScope

    private static FindContributors savedScope

### useSimplify

    public static boolean useSimplify

### useSammy

    public static boolean useSammy

### useHarvey

    public static boolean useHarvey

### simplify

    public static Simplify simplify

  Our Simplify instance.

### sammy

    public static Sammy sammy

Constructor Detail

### ProverManager

    public ProverManager()

Method Detail

### start

    public static void start()

### prover

    public static Simplify prover()

### kill

    public static void kill()

### died

    public static void died()

### push

    public static void push(Expr vc)

### push

    public static void push(FindContributors scope)

### prove

    public static java.util.Enumeration prove(Expr vc,
                                              FindContributors scope)

### pop

    public static void pop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage